require 'omniauth-oauth2'

module OmniAuth
  module Strategies
    class OCTanner < OmniAuth::Strategies::OAuth2
      option :name, 'oc-tanner'
      option :client_options, { 
        site: "https://accounts.octanner.com", 
        authorize_url: 'dialog/authorize'
      }
    end
  end
end

OmniAuth.config.add_camelization 'oc_tanner', 'OCTanner'
